require 'balotelli/base'

def Balotelli(server, name, pass, channels, log = false)
  Class.new(Balotelli::Base) do
    Balotelli::Module.constants.each do |c|
      if c != :Base && (m = Balotelli::Module.const_get(c)).is_a?(Module)
        register(m)
      end
    end
    include Balotelli::Core::IrcLogger.new('.', 'logs.log', channels) if log
  end.tap do |c|
    c.configure(*Balotelli::Config.build(server, name, pass))
    c.connect { channels.each(&method(:join)) }
  end
end
