module Balotelli
  module Core
    class PrivMsg
      attr_reader :user, :channel, :content, :user_nick, :responder
      def initialize(user, channel, message, privacy = false)
        @user = user
        @user_nick = @user.match(/\A(\S+)!.*/)[1]
        @channel = channel
        @content = message
        @responder = privacy ? @user_nick : @channel
      end
    end
  end
end
