module Balotelli
  module Config
    FREENODE = ['chat.freenode.net'.freeze, 6667].freeze
    QUAKENET = ['irc.quakenet.org'.freeze, 6667].freeze
    RIZON = ['irc.rizon.net'.freeze, 6667].freeze
    PIRC = ['irc.pirc.pl'.freeze, 6667].freeze
    MOZNET = ['irc.mozilla.org'.freeze, 6667].freeze

    module_function

    def build(server, name = format('balotelli%03d', rand(1000)), pass = nil)
      const_get(server.upcase).dup.push(name, pass)
    end
  end
end
