module Balotelli
  module Core
    class Kick
      attr_reader :who, :channel, :reason
      def initialize(data, klass)
        @who = data[:who]
        @channel = data[:channel]
        @reason = data[:reason].tr(' ', ' ') # space to nbsp
        @klass = klass
      end

      def execute!
        @klass.sputs("KICK #{channel} #{who} #{reason}")
      end

      alias execute execute!
    end
  end
end
