module Balotelli
  module Core
    module Router
      class Match
        attr_reader :data, :pattern, :block, :mod_name
        def initialize(data, pattern, action, privacy)
          @data = data
          @pattern = pattern
          @block = action.block
          @mod_name = action.mod_name
          @private = privacy
        end

        def is_private?
          @private
        end

        def match_data
          @match_data ||= data.match(pattern) if pattern.is_a?(Regexp)
        end
      end
    end
  end
end
