require 'balotelli/core/router/router'

module Balotelli
  module Module
    module Base
      include Balotelli::Core::Router

      def setup
        setup_router
      end

      class << self
        def extended(mod)
          super

          mod.setup

          mod.instance_eval do
            def commands_namespace
              @commands_namespace ||= name[/[^:]+$/].downcase.intern
            end
          end
        end
      end
    end
  end
end
